d = d + 1
a = 0
if d <= 5 and a ==0 then
	pokemon[1].SPD = pokemon[1].SPD -2
	a = 1
end
counter = 0
while b == 0 do
pad = Controls.read()
	counter= counter + 1
	screen:blit(1,171,textbox)
	screen:print(55,190, enemy[1].name.." used string shot."..pokemon[1].name.."'s speed", blue)
	screen:print(55,210, "went down.", blue)
	if pad:r() and oldpad:r() ~= pad:r() and counter>= 15 then
		counter = 0
		turn = 0
		b = 1
	end
	screen.flip()
	oldpad = pad
end